// Copyright (c) 2008-2009 Nokia Corporation and/or its subsidiary(-ies).
// All rights reserved.
// This component and the accompanying materials are made available
// under the terms of "Eclipse Public License v1.0"
// which accompanies this distribution, and is available
// at the URL "http://www.eclipse.org/legal/epl-v10.html".
//
// Initial Contributors:
// Nokia Corporation - initial contribution.
//
// Contributors:
//
// Description:
//



/**
 @file
 @internalComponent
 @released
*/

#ifndef REMCONMEDIABROWSEFAULT_H
#define REMCONMEDIABROWSEFAULT_H

#include <e32base.h>

_LIT(KMediaBrowseFaultName, "RcMbFault");

enum TRemConMediaBrowseFault
	{
	EInvalidEventId = 0,
	EUnexpectedNextMessageCallback = 1,
	EResultErrorCodeMismatch = 2,
	EUnexpectedOperationId = 3,
	ERequestWithoutMaxResponseBeingSet = 4,
	// The cookie update request is only generated by the
	// bearer and so should always be correctly formatted
	EBadlyFormattedMediaLibraryStateCookieUpdate = 5,
	ENonZeroMediaLibraryStateCookie = 6,
	};

class MediaBrowseFault
	{
public:
	static void Fault(TRemConMediaBrowseFault aFault);
	};

#endif //REMCONMEDIABROWSEFAULT_H
